Bug 522101 - No Sound on MCP55/Nvidia board with RHEL5.4 release kernel
Summary: No Sound on MCP55/Nvidia board with RHEL5.4 release kernel
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: John Feeney
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 525390
Blocks: 526948
TreeView+ depends on / blocked
 
Reported: 2009-09-09 13:32 UTC by dijuremo
Modified: 2011-01-25 17:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-25 17:55:56 UTC


Attachments (Terms of Use)
Requested output from alsa-info.sh --no-upload (25.61 KB, text/plain)
2009-10-01 13:16 UTC, dijuremo
no flags Details
alsa-info.sh for 2.6.18-164.6.1.el5 kernel (25.53 KB, text/plain)
2009-11-13 15:16 UTC, dijuremo
no flags Details
alsa-info.sh for 2.6.18-171.el5.hda55x1 kernel (25.32 KB, text/plain)
2009-11-13 15:17 UTC, dijuremo
no flags Details
alsa-info.sh for 2.6.18-128.7.1.el5 kernel (24.76 KB, text/plain)
2009-11-13 15:17 UTC, dijuremo
no flags Details
alsamixer screenshot old kernel (50.97 KB, image/png)
2009-11-13 19:03 UTC, dijuremo
no flags Details
alsamixer screenshot test kernel (51.99 KB, image/png)
2009-11-13 19:04 UTC, dijuremo
no flags Details

Description dijuremo 2009-09-09 13:32:38 UTC
Description of problem:
There is no sound with the 2.6.18-164.el5 kernel on an nvidia MCP55 chipset.

Version-Release number of selected component (if applicable):
2.6.18-164.el5


How reproducible:
Always

Steps to Reproduce:
1. Boot up the newer kernel
2. Try to play any sound
  
Actual results:
No sound

Expected results:
Sound playing

The older kernel, kernel-2.6.18-128.7.1.el5 reproduces the audio correctly.

Additional info:
On boot up, the following message is displayed by the kernel right after the grub screen:

FOUND MCP55 CHIP
cfg value is 80c5
DETECTED RESTRICTED ROUTING ON MCP55!  FLAGGING

[dr126@phys44230 ~]$ /sbin/lspci | grep Audio
00:06.1 Audio device: nVidia Corporation MCP55 High Definition Audio (rev a2)

[dr126@phys44230 ~]$ /sbin/lsmod | grep snd
snd_hda_intel         584593  7
snd_seq_dummy          37061  0
snd_seq_oss            65473  0
snd_seq_midi_event     41025  1 snd_seq_oss
snd_seq                87777  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         41557  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            77377  0
snd_mixer_oss          49985  1 snd_pcm_oss
snd_pcm               116681  4 snd_hda_intel,snd_pcm_oss
snd_timer              57161  4 snd_seq,snd_pcm
snd_page_alloc         44113  2 snd_hda_intel,snd_pcm
snd_hwdep              43593  1 snd_hda_intel
snd                   100073  19 snd_hda_intel,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
soundcore              41825  1 snd

[dr126@phys44230 ~]$ amixer
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [0.00dB] [on]
  Front Right: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 255 [100%] [0.00dB]
  Front Right: Playback 255 [100%] [0.00dB]
Simple mixer control 'Front Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [12.00dB] [on]
  Front Right: Playback 31 [100%] [12.00dB] [on]
Simple mixer control 'Front Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 3 [100%]
  Front Right: 3 [100%]
Simple mixer control 'Line',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [12.00dB] [on]
  Front Right: Playback 31 [100%] [12.00dB] [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [12.00dB] [on]
  Front Right: Playback 31 [100%] [12.00dB] [on]
Simple mixer control 'Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%]
  Front Right: 0 [0%]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'IEC958 Default PCM',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Aux',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 23 [74%] [0.00dB] [off]
  Front Right: Playback 23 [74%] [0.00dB] [off]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Capture',1
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Capture',2
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Beep',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]
Simple mixer control 'Digital',0
  Capabilities: cvolume
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 120
  Front Left: Capture 80 [67%] [10.00dB]
  Front Right: Capture 80 [67%] [10.00dB]
Simple mixer control 'Input Source',0
  Capabilities: cenum
  Items: 'Mic' 'Front Mic' 'Line' 'CD'
  Item0: 'Mic'
Simple mixer control 'Input Source',1
  Capabilities: cenum
  Items: 'Mic' 'Front Mic' 'Line' 'CD'
  Item0: 'Mic'
Simple mixer control 'Input Source',2
  Capabilities: cenum
  Items: 'Mic' 'Front Mic' 'Line' 'CD'
  Item0: 'Mic'

Comment 1 Jaroslav Kysela 2009-10-01 12:59:36 UTC
Please, add output from 'alsa-info.sh --no-upload' script to this bug (can be obtained at http://www.alsa-project.org/alsa-info.sh URL).

Comment 2 dijuremo 2009-10-01 13:16:18 UTC
Created attachment 363320 [details]
Requested output from alsa-info.sh --no-upload

Comment 3 Jaroslav Kysela 2009-10-01 13:57:07 UTC
Could you remove 'model=tyan' from your snd-hda-intel module configuration and report result?

Also, does 'aplay <some_wav_file>' command finish without errors?

Comment 4 dijuremo 2009-10-01 15:16:38 UTC
Originally there was no 'model=tyan' in modprobe.conf, we added that in an attempt to fix the problem but it did not help.

[root@phys44230 ~]# aplay /usr/share/apps/kasteroids/sounds/Explosion.wav
Playing WAVE '/usr/share/apps/kasteroids/sounds/Explosion.wav' : Unsigned 8 bit, Rate 8000 Hz, Mono
[root@phys44230 ~]# 

The command finishes without errors.

Comment 5 Jaroslav Kysela 2009-10-07 12:03:04 UTC
Maybe hardware is supported in latest ALSA HDA driver. I'll prepare a test kernel in bug#525390 .

Comment 6 Jaroslav Kysela 2009-11-05 10:46:31 UTC
The latest ALSA HDA driver for RHEL 5.5 is available here:

http://people.redhat.com/~jkysela/RHEL5/

Please, report back test results.

Comment 7 dijuremo 2009-11-05 20:42:43 UTC
This is a copy paste from an e-mail I received from the user who uses the machine in question (he is Linux savvy) after booting up with the new kernel:

  "It is till not working. This time it mutes the rear output connector if 
   I plug in something into the front jack, but does not output any sound 
   through the front jack. With nothing plugged into the front jack I get 
   output from the rear jack. I can sometimes get an analog loop from the 
   rear microphone to the rear speaker to work (just turning on output for 
   "Mic"), but not always. It seems to be connected to the control labelled 
   digital (almost seems as if the digital SPDIF output uses the same pin 
   as the microphone input). I can not record from the rear microphone even 
   if I can hear it on the speakers. I tried this with both skype and sox 
   (sox -t alsa default -t alsa default). Different models do not help 
   either, with the basic or auto setting I could get the front output to 
   work but never any recording from the microphone jacks even though (one 
   or both) allows me to listen to the front microphone. All show noise and 
   what might be digital voltage signals (ie clicks, crackles) that I can 
   sometimes control in volume using the "digital" control."

Comment 8 Jaroslav Kysela 2009-11-06 08:34:21 UTC
Could you provide output from 'alsa-info.sh --no-upload' script for good kernel kernel-2.6.18-128.7.1.el5 and kernel from comment#6? Do not use any model options and try to set mixer to similar values as close as possible.

If a Linux guru with kernel skills is available for this machine, it would be probably best to use 'git bisect' on kernel sources with latest vanilla linux kernels to check where things got broken for this hardware.

Comment 9 dijuremo 2009-11-13 15:16:43 UTC
Created attachment 369441 [details]
alsa-info.sh for 2.6.18-164.6.1.el5 kernel

Comment 10 dijuremo 2009-11-13 15:17:14 UTC
Created attachment 369442 [details]
alsa-info.sh for 2.6.18-171.el5.hda55x1  kernel

Comment 11 dijuremo 2009-11-13 15:17:50 UTC
Created attachment 369443 [details]
alsa-info.sh for  2.6.18-128.7.1.el5 kernel

Comment 12 dijuremo 2009-11-13 15:25:54 UTC
I have to take the statement from Comment #7 back. I went today to work with the user in the machine and collect the output of alsa-info.sh for the different kernels and after playing with alsamixer, we were able to produce sound and capture audio from the microphone using the rear (motherboard built-in) audio connectors with your test kernel: 2.6.18-171.el5.hda55x1.

I have attached the results of alsa-info.sh for three kernels:

2.6.18-128.7.1.el5 Last release kernel from 5.3 where sound was working correctly.

2.6.18-164.6.1.el5 Sound output is broken (no audio output at all), seems to be common in all 2.6.18-164.x.x kernel series.

2.6.18-171.el5.hda55x1 Sound is working fine again with your test kernel.

Your patch works for this, so I will ask my people with a support contract to open a support request and point to this bugzilla so that the patch can be reviewed for inclusion in the next update.

Comment 13 dijuremo 2009-11-13 16:00:07 UTC
The user of the machine just got back to me and he says that the front audio connectors in the case still do not work. This means that if a headphone and mic are connected to the front of the case, the speakers in the rear are muted, but no audio comes out on the headphones using the test 2.6.18-171.el5.hda55x1 kernel. The Mic recording also does not work when connected to the front panel.

I think this is the reason why he said things still did not work in comment #7. When I arrived to test today, he had the headphones connected to the front of the case, so if this is still broken, he came to the conclusion the test kernel still did not fix the problem with the front connector on the case.

The front connectors do work correctly with the 2.6.18-128.7.1.el5 kernel. So we do know that the wiring of the front panel is fine. I have not yet checked this motherboard, but sometimes they have a setting to change the front panel connector from HDAudio to Azalia and sometimes other options. I will try to change those settings using the test kernel 2.6.18-171.el5.hda55x1 to see if I can make more progress.

Comment 14 dijuremo 2009-11-13 19:03:19 UTC
The motherboard is a Tyan S2915-E. It was running the 2.07 firmware where they added support for the ALC262 audio codec

From:
http://www.tyan.com/support_download_bios.aspx?model=S.S2915-E

-------------------------------------
2008/06/12  	 S2915-E_v207.zip  	 v.2.07
Problem Fix Description:
 
- Updated support for the Realtek ALC262 Audio Codec
- Added support for ATI 3870X2 video cards
-------------------------------------

I updated the Bios to the latest 4.01 to be current.

According to the motherboard bios, the audio is "Azalia". The computer case is a Cooler Master Stacker which comes with 3 internal wiring harnesses for the onboard audio. One connector is labeled "HD Audio", which is the one I was using. Another connector is labeled "AC 97" and then there are 10 separate cables with the color coding for "Azalia".

I went ahead and changed from using the "HD Audio" connector to the "Azalia" configuration and the problem persists with the test kernel 2.6.18-171.el5.hda55x1.

One thing to notice is that with the older kernel, alsamixer shows an entry for Headphone, whereas with the new kernel, alsamixer does not show it (see screen shots attached as png files). 

Hope this helps.

Comment 15 dijuremo 2009-11-13 19:03:48 UTC
Created attachment 369474 [details]
alsamixer screenshot old kernel

Comment 16 dijuremo 2009-11-13 19:04:24 UTC
Created attachment 369476 [details]
alsamixer screenshot test kernel

Comment 17 Jaroslav Kysela 2010-01-13 15:39:02 UTC
You may try another ALC262 models for .171 kernel:

http://git.alsa-project.org/?p=alsa-kmirror.git;a=blob_plain;f=Documentation/HD-Audio-Models.txt;hb=HEAD

Also, try 'model=generic'.

Comment 18 John Feeney 2010-04-26 16:57:01 UTC
I was wondering if there was any feedback concerning the suggestions proposed by comment #17. 
  Thanks.

Comment 19 dijuremo 2010-04-26 17:00:52 UTC
(In reply to comment #18)
> I was wondering if there was any feedback concerning the suggestions proposed
> by comment #17. 
>   Thanks.    

We finally gave up, added a Creative labs PCI sound card and are using that. I will try to run more tests this week, but in general I do remember than trying different models did not help either.

Comment 20 John Feeney 2011-01-25 17:55:56 UTC
Since the issue has not been worked on recently, I am going to close this bz. Hopefully next time there is a problem, it can be resolved more satisfactorily. Please re-open if something new becomes available.


Note You need to log in before you can comment on or make changes to this bug.